[Vm-dev] [commit][2966] Add exit traps to the linux build scripts

commits at squeakvm.org commits at squeakvm.org
Tue Jun 10 00:33:56 UTC 2014


Revision: 2966
Author:   eliot
Date:     2014-06-09 17:33:56 -0700 (Mon, 09 Jun 2014)
Log Message:
-----------
Add exit traps to the linux build scripts

Modified Paths:
--------------
    branches/Cog/build.linux32x86/makeall
    branches/Cog/build.linux32x86/newspeak.cog.spur/makeallclean
    branches/Cog/build.linux32x86/newspeak.cog.spur/makealldirty
    branches/Cog/build.linux32x86/newspeak.cog.v3/makeallclean
    branches/Cog/build.linux32x86/newspeak.cog.v3/makealldirty
    branches/Cog/build.linux32x86/newspeak.sista.spur/makeallclean
    branches/Cog/build.linux32x86/newspeak.sista.spur/makealldirty
    branches/Cog/build.linux32x86/newspeak.sista.v3/makeallclean
    branches/Cog/build.linux32x86/newspeak.sista.v3/makealldirty
    branches/Cog/build.linux32x86/newspeak.stack.spur/makeallclean
    branches/Cog/build.linux32x86/newspeak.stack.spur/makealldirty
    branches/Cog/build.linux32x86/newspeak.stack.v3/makeallclean
    branches/Cog/build.linux32x86/newspeak.stack.v3/makealldirty
    branches/Cog/build.linux32x86/squeak.cog.spur/makeallclean
    branches/Cog/build.linux32x86/squeak.cog.spur/makealldirty
    branches/Cog/build.linux32x86/squeak.cog.v3/makeallclean
    branches/Cog/build.linux32x86/squeak.cog.v3/makealldirty
    branches/Cog/build.linux32x86/squeak.sista.spur/makeallclean
    branches/Cog/build.linux32x86/squeak.sista.spur/makealldirty
    branches/Cog/build.linux32x86/squeak.sista.v3/makeallclean
    branches/Cog/build.linux32x86/squeak.sista.v3/makealldirty
    branches/Cog/build.linux32x86/squeak.stack.spur/makeallclean
    branches/Cog/build.linux32x86/squeak.stack.spur/makealldirty
    branches/Cog/build.linux32x86/squeak.stack.v3/makeallclean
    branches/Cog/build.linux32x86/squeak.stack.v3/makealldirty

Modified: branches/Cog/build.linux32x86/makeall
===================================================================
--- branches/Cog/build.linux32x86/makeall	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/makeall	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/bash
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in newspeak.* squeak.*; do
 	(cd $d;./makeallclean)
 done

Modified: branches/Cog/build.linux32x86/newspeak.cog.spur/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/newspeak.cog.spur/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.cog.spur/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.cog.spur/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/newspeak.cog.spur/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.cog.spur/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.cog.v3/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/newspeak.cog.v3/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.cog.v3/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.cog.v3/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/newspeak.cog.v3/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.cog.v3/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.sista.spur/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/newspeak.sista.spur/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.sista.spur/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.sista.spur/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/newspeak.sista.spur/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.sista.spur/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.sista.v3/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/newspeak.sista.v3/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.sista.v3/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.sista.v3/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/newspeak.sista.v3/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.sista.v3/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.stack.spur/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/newspeak.stack.spur/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.stack.spur/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.stack.spur/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/newspeak.stack.spur/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.stack.spur/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.stack.v3/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/newspeak.stack.v3/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.stack.v3/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/newspeak.stack.v3/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/newspeak.stack.v3/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/newspeak.stack.v3/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.cog.spur/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.spur/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.cog.spur/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.cog.spur/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.spur/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.cog.spur/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.cog.v3/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.v3/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.cog.v3/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.cog.v3/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.v3/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.cog.v3/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.sista.spur/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/squeak.sista.spur/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.sista.spur/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.sista.spur/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/squeak.sista.spur/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.sista.spur/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.sista.v3/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/squeak.sista.v3/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.sista.v3/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.sista.v3/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/squeak.sista.v3/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.sista.v3/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.stack.spur/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/squeak.stack.spur/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.stack.spur/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.stack.spur/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/squeak.stack.spur/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.stack.spur/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.stack.v3/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/squeak.stack.v3/makeallclean	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.stack.v3/makeallclean	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo y | ./mvm)

Modified: branches/Cog/build.linux32x86/squeak.stack.v3/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/squeak.stack.v3/makealldirty	2014-06-10 00:18:47 UTC (rev 2965)
+++ branches/Cog/build.linux32x86/squeak.stack.v3/makealldirty	2014-06-10 00:33:56 UTC (rev 2966)
@@ -1,4 +1,5 @@
 #!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM 0
 for d in `dirname $0`/build*; do
 	(cd $d
 	 echo n | ./mvm)



More information about the Vm-dev mailing list